import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:flutter_html/style.dart';

class EnrollmentFormHtmlWidget extends StatelessWidget {
  final String data;

  EnrollmentFormHtmlWidget({
    Key key,
    @required this.data,
  }) : super(key: key);

  final ScrollController _scrollController = ScrollController();

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.only(
        top: 18.0,
      ),
      margin: EdgeInsets.only(
        top: 13.0,
        left: 8.0,
      ),
      decoration: BoxDecoration(
        color: Theme.of(context).colorScheme.background,
        shape: BoxShape.rectangle,
        borderRadius: BorderRadius.circular(10.0),
      ),
      child: NotificationListener<OverscrollIndicatorNotification>(
        onNotification: (OverscrollIndicatorNotification overscroll) {
          overscroll.disallowGlow();
        },
        child: Scrollbar(
          isAlwaysShown: true,
          controller: _scrollController,
          child: SingleChildScrollView(
            controller: _scrollController,
            padding: EdgeInsets.all(8.0),
            child: Html(
              data: data,
              style: {
                "a": Style(
                  color: Colors.blue,
                  textDecorationColor: Colors.blueAccent,
                  textDecoration: TextDecoration.underline,
                ),
              },
            ),
          ),
        ),
      ),
    );
  }
}
